%define package firefox-config
%define version 0.6
%define release 1

Name:           wpkg-%{package}
Version:        %{version}
Release:        %{release}%{?dist}
Summary:        %{package} for WPKG on iPasserelle

Group:          System/Softwares
URL:            http://www.ipasserelle.com
Source0:        %{name}-%{version}.tar.gz
License:        GPL

BuildRoot:      /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  unix2dos
BuildRequires:  e-smith-devtools

Requires:       ipasserelle-gp
Requires:	wpkg-firefox

%description
%{package} for WPKG on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks
unix2dos packages/*

%install
/bin/rm -rf %{buildroot}
cp -a root %{buildroot}/
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/settings/firefox
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/firefox
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/firefox/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG.git
/home/e-smith/files/shares/wpkg/files/
/etc/

%changelog
* Mon Oct 23 2017 Daniel Berteaud <daniel@firewall-services.com> 0.6-1
- Work with x64 builds

* Wed Mar 16 2016 Daniel Berteaud <daniel@firewall-services.com> 0.5-1
- Add back support for distribution/bundles

* Fri Sep 21 2012 Daniel Berteaud <daniel@firewall-services.com> 0.4-1
- Add downgrade commands

* Thu Sep 20 2012 Daniel Berteaud <daniel@firewall-services.com> 0.3-1
- Use HTTPS to retrieve conf

* Tue Aug 21 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2-1
- Checks before and after installation

* Mon Jun 25 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1-1
- Initial release

